import React, { useEffect } from 'react';
import { useEventsStore } from '../../store/simulation/useEventsStore';
import { useProductStore } from '../../store/simulation/useProductStore';
import Vehicles from './vehicle/vehicles';
import Points from './events/points/points';
import Conveyor from './conveyor/conveyor';
import RoboticArm from './roboticArm/roboticArm';

function Simulation() {
    const { events } = useEventsStore();
    const { products } = useProductStore();

    useEffect(() => {
        // console.log('events: ', events);
    }, [events])

    useEffect(() => {
        // console.log('products: ', products);
    }, [products])

    return (
        <>

            <Points />

            <Vehicles />

            <RoboticArm />

            <Conveyor />

        </>
    )
}

export default Simulation