import React, { useEffect } from 'react'
import VehicleInstances from './instances/vehicleInstances';

import { useVehicleStore } from '../../../store/simulation/useVehicleStore';

function Vehicles() {

    const { vehicles, addVehicle } = useVehicleStore();

    const vehicleStatusSample: VehicleEventSchema[] = [
        {
            modelUuid: "veh-123",
            modelName: "Autonomous Truck A1",
            position: [10, 0, 5],
            rotation: [0, 0, 0],
            state: "idle",
            type: "vehicle",
            speed: 2.5,
            point: {
                uuid: "point-789",
                position: [0, 1, 0],
                rotation: [0, 0, 0],
                action: {
                    actionUuid: "action-456",
                    actionName: "Deliver to Zone A",
                    actionType: "travel",
                    material: "crate",
                    unLoadDuration: 15,
                    loadCapacity: 5,
                    pickUpPoint: { x: 5, y: 0, z: 3 },
                    unLoadPoint: { x: 20, y: 0, z: 10 },
                    triggers: [
                        {
                            triggerUuid: "trig-001",
                            triggerName: "Start Travel",
                            triggerType: "onComplete",
                            delay: 0,
                            triggeredAsset: {
                                triggeredModel: { modelName: "ArmBot-X", modelUuid: "arm-001" },
                                triggeredPoint: { pointName: "Pickup Arm Point", pointUuid: "arm-point-01" },
                                triggeredAction: { actionName: "Grab Widget", actionUuid: "grab-001" }
                            }
                        },
                        {
                            triggerUuid: "trig-002",
                            triggerName: "Complete Travel",
                            triggerType: "onComplete",
                            delay: 2,
                            triggeredAsset: null
                        }
                    ]
                }
            }
        },
        {
            modelUuid: "veh-123",
            modelName: "Autonomous Truck A1",
            position: [10, 0, 5],
            rotation: [0, 0, 0],
            state: "idle",
            type: "vehicle",
            speed: 2.5,
            point: {
                uuid: "point-789",
                position: [0, 1, 0],
                rotation: [0, 0, 0],
                action: {
                    actionUuid: "action-456",
                    actionName: "Deliver to Zone A",
                    actionType: "travel",
                    material: "crate",
                    unLoadDuration: 15,
                    loadCapacity: 5,
                    pickUpPoint: { x: 5, y: 0, z: 3 },
                    unLoadPoint: { x: 20, y: 0, z: 10 },
                    triggers: [
                        {
                            triggerUuid: "trig-001",
                            triggerName: "Start Travel",
                            triggerType: "onStart",
                            delay: 0,
                            triggeredAsset: {
                                triggeredModel: { modelName: "ArmBot-X", modelUuid: "arm-001" },
                                triggeredPoint: { pointName: "Pickup Arm Point", pointUuid: "arm-point-01" },
                                triggeredAction: { actionName: "Grab Widget", actionUuid: "grab-001" }
                            }
                        },
                        {
                            triggerUuid: "trig-002",
                            triggerName: "Complete Travel",
                            triggerType: "onComplete",
                            delay: 2,
                            triggeredAsset: null
                        }
                    ]
                }
            }
        }
    ];


    useEffect(() => {
        addVehicle('123', vehicleStatusSample[0]);
        addVehicle('123', vehicleStatusSample[1]);
    }, [])

    useEffect(() => {
        // console.log('vehicles: ', vehicles);
    }, [vehicles])


    return (
        <>

            <VehicleInstances />

        </>
    )
}

export default Vehicles;